<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>cycleLog_t_ Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cycleLog_t_ Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>DSP cycle profiling structure to accumulate different processing times in chirp and frame processing periods.  
 <a href="structcycle_log__t__.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/dss_data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a121fcc302bcdb4b08372ec26ddbf954e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a121fcc302bcdb4b08372ec26ddbf954e"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcycle_log__t__.html#a121fcc302bcdb4b08372ec26ddbf954e">interChirpProcessingTime</a></td></tr>
<tr class="memdesc:a121fcc302bcdb4b08372ec26ddbf954e"><td class="mdescLeft">&#160;</td><td class="mdescRight">total processing time during all chirps in a frame excluding EDMA waiting time <br /></td></tr>
<tr class="separator:a121fcc302bcdb4b08372ec26ddbf954e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1da2420e05b44be6177d41dfae27e490"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1da2420e05b44be6177d41dfae27e490"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcycle_log__t__.html#a1da2420e05b44be6177d41dfae27e490">interChirpWaitTime</a></td></tr>
<tr class="memdesc:a1da2420e05b44be6177d41dfae27e490"><td class="mdescLeft">&#160;</td><td class="mdescRight">total wait time for EDMA data transfer during all chirps in a frame <br /></td></tr>
<tr class="separator:a1da2420e05b44be6177d41dfae27e490"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b6d4e0807ea33db3c6e44af452799f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9b6d4e0807ea33db3c6e44af452799f"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcycle_log__t__.html#ac9b6d4e0807ea33db3c6e44af452799f">interFrameProcessingTime</a></td></tr>
<tr class="memdesc:ac9b6d4e0807ea33db3c6e44af452799f"><td class="mdescLeft">&#160;</td><td class="mdescRight">total processing time for 2D and 3D excluding EDMA waiting time <br /></td></tr>
<tr class="separator:ac9b6d4e0807ea33db3c6e44af452799f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dbf3ba95fa06b93a48dfaccaaa2f6c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6dbf3ba95fa06b93a48dfaccaaa2f6c6"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcycle_log__t__.html#a6dbf3ba95fa06b93a48dfaccaaa2f6c6">interFrameWaitTime</a></td></tr>
<tr class="memdesc:a6dbf3ba95fa06b93a48dfaccaaa2f6c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">total wait time for 2D and 3D EDMA data transfer <br /></td></tr>
<tr class="separator:a6dbf3ba95fa06b93a48dfaccaaa2f6c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>DSP cycle profiling structure to accumulate different processing times in chirp and frame processing periods. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/<a class="el" href="dss__data__path_8h.html">dss_data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
